
Use AdventureWorks
Go

SELECT  City, NumberOfOrders = count(*)
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
  JOIN Sales.SalesOrderHeader sh ON c.CustomerID = sh.CustomerID
  JOIN Sales.SalesOrderDetail sd ON sd.SalesOrderID = sh.SalesOrderID
  JOIN Production.Product p ON p.ProductID = sd.ProductID
WHERE StateProvinceID = (SELECT StateProvinceID FROM Person.StateProvince WHERE StateProvinceCode = 'CA')
GROUP BY City
ORDER BY 2 DESC

SELECT  i.CustomerID, c.ModifiedDate, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE i.CustomerID > 13000
AND i.CustomerID < 22000

SELECT  i.CustomerID, c.ModifiedDate, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE i.CustomerID = 16701

SELECT  i.CustomerID, c.TerritoryID, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE StateProvinceID = (SELECT StateProvinceID FROM Person.StateProvince WHERE StateProvinceCode = 'CA')
--AND c.SalesPersonID <> null
ORDER BY i.CustomerID, City

SELECT x.total_price, a.AddressLine1, a.AddressLine2, a.City
FROM
	(SELECT sum(d.UnitPrice) total_price, d.SalesOrderID
	FROM Sales.SalesOrderDetail d,
		(SELECT SalesOrderID
		FROM Sales.SalesOrderHeader
		WHERE OnlineOrderFlag = 'True') s
	WHERE d.SalesOrderId = s.SalesOrderId
	GROUP BY d.SalesOrderID ) x,
	Sales.SalesOrderHeader h,
	Sales.Customer c,
	Person.Address a
WHERE x.SalesOrderID = h.SalesOrderID
AND h.CustomerID = c.CustomerID
AND c.TerritoryID = a.AddressID

SELECT  AddressLine1, AddressLine2, City
FROM Person.Address
WHERE
((StateProvinceID > 0 AND StateProvinceID < 12)
OR
(StateProvinceID > 49 AND StateProvinceID < 76))
AND City LIKE '%x%'
		
SELECT City, NumberOfOrders = count(*)
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
  JOIN Sales.SalesOrderHeader sh ON c.CustomerID = sh.CustomerID
  JOIN Sales.SalesOrderDetail sd ON sd.SalesOrderID = sh.SalesOrderID
  JOIN Production.Product p ON p.ProductID = sd.ProductID
WHERE StateProvinceID = (SELECT StateProvinceID FROM Person.StateProvince WHERE StateProvinceCode = 'CA')
GROUP BY City
ORDER BY 2 DESC

SELECT i.CustomerID, c.ModifiedDate, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE i.CustomerID > 13000
AND i.CustomerID < 22000

SELECT i.CustomerID, c.ModifiedDate, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE i.CustomerID = 16701

SELECT i.CustomerID, c.TerritoryID, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE StateProvinceID = (SELECT StateProvinceID FROM Person.StateProvince WHERE StateProvinceCode = 'CA')
ORDER BY i.CustomerID, City

SELECT x.total_price, a.AddressLine1, a.AddressLine2, a.City
FROM
	(SELECT sum(d.UnitPrice) total_price, d.SalesOrderID
	FROM Sales.SalesOrderDetail d,
		(SELECT SalesOrderID
		FROM Sales.SalesOrderHeader
		WHERE OnlineOrderFlag = 'True') s
	WHERE d.SalesOrderId = s.SalesOrderId
	GROUP BY d.SalesOrderID ) x,
	Sales.SalesOrderHeader h,
	Sales.Customer c,
	Person.Address a
WHERE x.SalesOrderID = h.SalesOrderID
AND h.CustomerID = c.CustomerID
AND c.TerritoryID = a.AddressID

SELECT AddressLine1, AddressLine2, City
FROM Person.Address
WHERE
((StateProvinceID > 0 AND StateProvinceID < 12)
OR
(StateProvinceID > 49 AND StateProvinceID < 76))
AND City LIKE '%x%'
		
SELECT City, NumberOfOrders = count(*)
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
  JOIN Sales.SalesOrderHeader sh ON c.CustomerID = sh.CustomerID
  JOIN Sales.SalesOrderDetail sd ON sd.SalesOrderID = sh.SalesOrderID
  JOIN Production.Product p ON p.ProductID = sd.ProductID
WHERE StateProvinceID = (SELECT StateProvinceID FROM Person.StateProvince WHERE StateProvinceCode = 'CA')
GROUP BY City
ORDER BY 2 DESC

SELECT i.CustomerID, c.ModifiedDate, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE i.CustomerID > 13000
AND i.CustomerID < 22000

SELECT i.CustomerID, c.ModifiedDate, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE i.CustomerID = 16701

SELECT i.CustomerID, c.TerritoryID, City
FROM Sales.Individual i  JOIN Sales.Customer c  ON i.CustomerID = c.CustomerID AND c.CustomerType = 'I'
  JOIN Sales.CustomerAddress ca  ON ca.CustomerID = c.CustomerID
  JOIN Person.Address a ON a.AddressID = ca.AddressID
WHERE StateProvinceID = (SELECT StateProvinceID FROM Person.StateProvince WHERE StateProvinceCode = 'CA')
ORDER BY i.CustomerID, City

SELECT x.total_price, a.AddressLine1, a.AddressLine2, a.City
FROM
	(SELECT sum(d.UnitPrice) total_price, d.SalesOrderID
	FROM Sales.SalesOrderDetail d,
		(SELECT SalesOrderID
		FROM Sales.SalesOrderHeader
		WHERE OnlineOrderFlag = 'True') s
	WHERE d.SalesOrderId = s.SalesOrderId
	GROUP BY d.SalesOrderID ) x,
	Sales.SalesOrderHeader h,
	Sales.Customer c,
	Person.Address a
WHERE x.SalesOrderID = h.SalesOrderID
AND h.CustomerID = c.CustomerID
AND c.TerritoryID = a.AddressID

SELECT AddressLine1, AddressLine2, City
FROM Person.Address
WHERE
((StateProvinceID > 0 AND StateProvinceID < 12)
OR
(StateProvinceID > 49 AND StateProvinceID < 76))
AND City LIKE '%x%'

exec dbo.uspGetManagerEmployees	3
	
GO 200
