----------------
-- 5 Abfragen mit der meisten CPU Zeit
----------------
SELECT TOP 5 
	total_worker_time / execution_count AS [Avg CPU Time],
	(SELECT SUBSTRING([text],statement_start_offset / 2,
		(CASE WHEN statement_end_offset = -1 
				THEN LEN(CONVERT(NVARCHAR(max), TEXT)) * 2 
				ELSE statement_end_offset 
			END - statement_start_offset) / 2)
	FROM sys.dm_exec_sql_text(sql_handle)) AS query_text 
FROM sys.dm_exec_query_stats 
ORDER BY [Avg CPU Time] DESC
