use AdventureWorks
go
SELECT db_name(database_id) as DBname,
		object_name(object_id) as Objectname,
		index_type_desc,
		index_depth,
		avg_fragmentation_in_percent,
		fragment_count,
		avg_page_space_used_in_percent,
		record_count,
		min_record_size_in_bytes,
		max_record_size_in_bytes,
		avg_record_size_in_bytes
--,* 
FROM sys.dm_db_index_physical_stats (
									NULL, -- Database_id db_id('Name')
									NULL, -- TableID
									NULL, -- IndexID
									NULL, -- Partition
									NULL  -- NULL|LIMITED|SAMPLED|DETAILED
									)
where avg_fragmentation_in_percent > 10;