-- Was ist los auf dem SQL Server 2005
SELECT 	S.session_id,
		S.login_name,
		S.nt_domain,
		S.nt_user_name,
		S.status,
		S.last_request_end_time,
		S.cpu_time,
		S.reads,
		S.writes,
		S.logical_reads,
		T.[Text]
FROM sys.dm_exec_sessions as S
	INNER JOIN sys.dm_exec_connections AS C ON
		S.session_id = C.session_id
	CROSS APPLY sys.dm_exec_sql_text(C.most_recent_sql_handle) AS T
WHERE S.session_id > 50


